﻿@{
    ViewBag.Title = "Index";
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Spg Reporting</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">

    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                @using (Html.BeginForm(MVC.SpgReporting.Index(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddMember" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Awal  </label>
                            <div class="col-md-6">
                                @Html.TextBox("tglAwal", "", new { @class = "form-control datepicker2" })
                            </div>
                        </div>
                    </div>

                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Akhir   </label>
                            <div class="col-md-6">
                                @Html.TextBox("tglAkhir", "", new { @class = "form-control datepicker2" })
                            </div>
                        </div>
                    </div>

                    <div class="form-actions">
                        <input type="submit" value="Download" class="btn btn-primary pull-right" id="download-button-reporting">
                        <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-reporting">
                    </div>
                }
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSearchMember", Member = "form" }))
                {
                    <input type="text" id="search" name="search" class="form-control box-search" placeholder="Search...">
                    <input type="text" id="hiddenAwal" name="hiddenAwal" class="form-control box-search" style="display: none">
                    <input type="text" id="hiddenAkhir" name="hiddenAkhir" class="form-control box-search" style="display: none">
                    <button class="hidden" type="submit" id="hidden-search-form"></button>
                }
            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllMemberBySpg", new { page = 1 })
                <!-- .box-content -->
            </div>
        </div>
        <!-- .box -->
    </div>
</div>

@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllMember';
            var pagingUrl = '@Url.Action(MVC.SpgReporting.GridGetAllMemberBySpgPager())';
        
            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSearchMember'),
                onAjaxComplete: function (status, response) {
                    if (status === 'success' && response.hasItems) {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text(item.innerText);
                            }
                        })
                    }
                    else {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text('no items to display');
                            }
                        })
                    }
                }
            });

            $(".datepicker2").datepicker({
                defaultDate: +7,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
            });

            $('#search-button-reporting').click(function () {
                //var search = $('#search').val();
                var awal = $('#tglAwal').val();
                var akhir = $('#tglAkhir').val();
                $('#hiddenAwal').val(awal);
                $('#hiddenAkhir').val(akhir);
                $('#hidden-search-form').click();
            });

            $('#download-button-reporting').click(function () {
                setTimeout(function () { HideLoader(); }, 3000);
            });
        }())
    </script>
}